cURL
curl --request GET \ --url https://api.example.com/v1/domains/{domain_id} \ --header 'Authorization: Bearer <token>'
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "domain_name": "<string>", "status": "<string>", "dkim_status": "<string>", "spf_status": "<string>", "mx_status": "<string>", "ownership_status": "<string>", "verification_token": "<string>", "has_existing_mx": true, "recommended_subdomain": "<string>", "inbound_subdomain": "<string>", "dns_provider_hint": "<string>", "verification_last_checked_at": "2023-11-07T05:31:56Z", "verification_attempts": 123, "dns_records": [ { "type": "<string>", "host": "<string>", "value": "<string>", "purpose": "<string>", "priority": 123 } ], "created_at": "2023-11-07T05:31:56Z", "verified_at": "2023-11-07T05:31:56Z" }
Get a single domain with its DNS records and per-record verification status.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Successful Response
Show child attributes